@echo off
echo Doing a make all ...
erase *.sym
erase *.obj
erase *.cpe

depend *.c >depend.txt
copy makefile.txt+depend.txt makefile.mak

if "%1"=="E" goto pal
if "%1"=="e" goto pal
if "%1"=="U" goto uk
if "%1"=="u" goto uk
if "%1"=="A" goto ntsc
if "%1"=="a" goto ntsc
if "%1"=="D" goto demo
if "%1"=="d" goto demo
goto uk

:ntsc
make -DPAL=0
goto okay


:pal
make -DPAL=1
rem psymake %1 /dPAL=1
goto okay

:uk
make -DPAL=2
rem psymake %1 /dPAL=2
goto okay

:demo
copy makedemo.txt+depend.txt makedemo.mak
make -DPAL=2 -fmakedemo.mak
goto okay

:okay

echo.
echo Done

